<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.VehicleDetailedInfo" table="Vehicle_Itemize" >
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <generator class="assigned" />
        </id>
        <property name="vehcode" type="java.lang.String">
            <column name="Vehcode" length="50" not-null="true" />
        </property>
        <property name="vehBrand" type="java.lang.String">
            <column name="vehBrand" length="50" not-null="true" />
        </property>
        <property name="producer" type="java.lang.String">
            <column name="producer" length="50" not-null="true" />
        </property>
        <property name="vehtype" type="java.lang.String">
            <column name="Vehtype" length="50" not-null="true" />
        </property>
        <property name="opLicense" type="java.lang.String">
            <column name="opLicense" length="50" not-null="true" />
        </property>
        <property name="techLevel" type="java.lang.String">
            <column name="TechLevel" length="50" not-null="true" />
        </property>
        <property name="techLevelvalid" type="java.lang.String">
            <column name="TechLevelvalid" length="50" not-null="true" />
        </property>
        <property name="vin" type="java.lang.String">
            <column name="VIN" length="50" not-null="true" />
        </property>
        <property name="capacity" type="java.lang.Integer">
            <column name="Capacity" not-null="true" />
        </property>
        <property name="hkOil" type="java.lang.Float">
            <column name="HK_oil" precision="53" scale="0" not-null="true" />
        </property>
        <property name="vehLength" type="java.lang.Float">
            <column name="Veh_Length" precision="53" scale="0" not-null="true" />
        </property>
        <property name="vehiColor" type="java.lang.String">
            <column name="Vehi_color" length="50" not-null="true" />
        </property>
        <property name="fuelType" type="java.lang.String">
            <column name="Fuel_Type" length="50" not-null="true" />
        </property>
        <property name="engineCode" type="java.lang.String">
            <column name="Engine_code" length="50" not-null="true" />
        </property>
        <property name="chassisCode" type="java.lang.String">
            <column name="Chassis_code" length="50" not-null="true" />
        </property>
        <property name="singleDistace" type="java.lang.Float">
            <column name="Single_distace" precision="53" scale="0" not-null="true" />
        </property>
        <property name="cargoType" type="java.lang.Float">
            <column name="Cargo_type" precision="53" scale="0" not-null="true" />
        </property>
        <property name="appointTon" type="java.lang.Float">
            <column name="Appoint_ton" precision="53" scale="0" not-null="true" />
        </property>
        <property name="passspace" type="java.lang.String">
            <column name="Passspace" length="400" not-null="true" />
        </property>
        <property name="dayN" type="java.lang.String">
            <column name="Day_N" length="50" not-null="true" />
        </property>
        <property name="vehCapacity" type="java.lang.Float">
            <column name="vehCapacity" precision="53" scale="0" not-null="true" />
        </property>
        <property name="image" type="java.lang.String">
            <column name="Image" length="200" not-null="true" />
        </property>
        <property name="companyname" type="java.lang.String">
            <column name="Companyname" length="200" not-null="true" />
        </property>
        <property name="roadLicN" type="java.lang.String">
            <column name="Road_Lic_N" length="50" not-null="true" />
        </property>
        <property name="roadValid" type="java.lang.String">
            <column name="Road_valid" length="50" not-null="true" />
        </property>
        <property name="vehInsure" type="java.lang.String">
            <column name="Veh_insure" length="200" not-null="true" />
        </property>
        <!-- 
        <property name="bljcjd" type="java.lang.String">
            <column name="BLJcjd" length="50" not-null="true" />
        </property>
        <property name="bljqyqc" type="java.lang.String">
            <column name="BLJqyqc" length="50" not-null="true" />
        </property>
        <property name="bljyyqy" type="java.lang.Integer">
            <column name="BLJyyqy" />
        </property>
        <property name="bljcllx" type="java.lang.Integer">
            <column name="BLJcllx" />
        </property>
        <property name="bljyshylb" type="java.lang.Integer">
            <column name="BLJyshylb" />
        </property>
        <property name="bljcyryzglb" type="java.lang.Integer">
            <column name="BLJcyryzglb" />
        </property>
        <property name="vehCjh" type="java.lang.String">
            <column name="veh_cjh" length="100" not-null="true" />
        </property>
         -->
    </class>
</hibernate-mapping>
